function x = surf(boxImage, sceneImage)

size = 160;
boxImage = imresize(boxImage, [size size]);
sceneImage = imresize(sceneImage, [size size]);
boxImage = boxImage(:,:,2);
sceneImage = sceneImage(:,:,2);

boxPoints = detectSURFFeatures(boxImage);
scenePoints = detectSURFFeatures(sceneImage);

[boxFeatures, ~] = extractFeatures(boxImage, boxPoints);
[sceneFeatures, ~] = extractFeatures(sceneImage, scenePoints);

boxPairs = matchFeatures(boxFeatures, sceneFeatures);
x = length(boxPairs);